## Welcome to Orionis Framework – An Opinionated Python Framework

⚡ Orionis Framework – Elegant, Fast, and Powerful 🚀

<div align="center" style="margin-bottom: 20px;">
    <img src="https://orionis-framework.com/svg/logo.svg" alt="Orionis Framework" width="300"/>
</div>
<div align="center" style="margin-bottom: 20px;">
    <img src="https://orionis-framework.com/svg/text.svg" alt="Orionis Framework" width="400"/>
</div>

**Orionis** is a modern, expressive Python framework designed for clarity, productivity, and scalability. Its elegant structure and powerful tools help you focus on what matters: **creating amazing software**.

---

## 🚀 Why Orionis?

- ✨ **Clear and expressive syntax**  
  Code that reads like natural language.
- ⚙️ **Clean and modular architecture**  
  Professional organization and best practices.
- ⏱️ **Agile and efficient development**  
  Reduce repetition and accelerate your workflow with built-in utilities.
- 🧪 **Ready for testing and production**  
  Quality and stability at the core.

---

## 🧱 Main Features

- 🧩 Intuitive routing system
- 🔧 Simple and powerful dependency injection
- 🧬 Flexible and easy-to-use ORM
- 🎯 Customizable service containers
- 🧰 Ready-to-use console commands
- 🛡️ Declarative validations
- 📦 Professional package structure
- ⚡ Async programming support

---

## 🛠️ Command Line Interface

Orionis comes with a robust CLI to streamline your workflow.

### Usage

```bash
orionis [--version] [--help] <command> [<name>]
```

### Commands & Options

| Option/Command      | Description                                      |
|---------------------|--------------------------------------------------|
| `--version`, `-v`   | Show Orionis version and exit                    |
| `--help`, `-h`      | Show help message and exit                       |
| `new <name>`        | Create a new Orionis application (default: `example-app`) |

### Examples

```bash
orionis new myapp         # Create a new application named 'myapp'
orionis --version         # Show framework version
orionis --help            # Display help information
```

> **Example:**
> To create a new project, simply run:
> ```bash
> orionis new example-app
> ```

---

## 🧠 Philosophy

Orionis aims to make Python development elegant, modern, and productive. It promotes clear separation of concerns, consistent conventions, and an **intuitive, seamless** developer experience.

---

## 📢 Community and Contribution

Want to be part of Orionis' evolution? Your contribution is welcome!

- Report bugs and request improvements
- Propose new features
- Create and share your own packages

---

## 🌠 Join the Python Revolution

Orionis is more than a framework—it's a new way to build. If you're ready to go beyond the traditional and embrace a modern ecosystem, **look to the sky... and start with Orionis.**